#ifndef SHROOMS_VB_NATIVE_CONTROLLER_
#define SHROOMS_VB_NATIVE_CONTROLLER_

#include <SDL2/SDL.h>
#include <stdint.h>

typedef struct {
    uint16_t keys;
} ControllerState;

void ctrlInit(ControllerState *ctrl);
void ctrlKeyDown(ControllerState *ctrl, SDL_Keycode sym);
void ctrlKeyUp(ControllerState *ctrl, SDL_Keycode sym);
uint16_t ctrlKeys(ControllerState *ctrl);

#endif